<?php
/**
 * ===========================================================================
 * Veitool 快捷开发框架系统
 * Author: Niaho 26843818@qq.com
 * Copyright (c)2019-2025 www.veitool.com All rights reserved.
 * Licensed: 这不是一个自由软件，不允许对程序代码以任何形式任何目的的再发行
 * ---------------------------------------------------------------------------
 */

namespace app\model;

use app\model\project\User;
use think\facade\Db;
use think\Model;

/**
 * 章节模型
 */
class ShCourseWork extends Model
{


    public function getCreatetimeAttr($value)
    {
        return date('Y-m-d H:i:s', $value);
    }


    public function getUserInfoAttr($value, $data)
    {
        return User::where('id', $data['user_id'])->field('id,username,mobile')->find();
    }

    //课程名称
    public function getCourseTitleAttr($value, $data)
    {
        return ShCourse::where('id', $data['course_id'])->value('title');
    }

    //获取下载列表
    public function getFilelistAttr($value,$data)
    {
        return get_upload_file($data['file_id_str'],'list');
    }

}